
$Swords_DaggerSwing1Time = 360;
$Swords_DaggerSwing1DamageTime = "10 300";
$Swords_DaggerSwing2Time = 360;
$Swords_DaggerSwing2DamageTime = "10 300";
$Swords_DaggerPenetration = 3;

$Swords_DaggerWallRecovery = 900;
$Swords_DaggerSwing1Damage = 18;
$Swords_DaggerSwing2Damage = 18;
$Swords_DaggerSounds = "fast_swingSound light_swingSound3";

$Swords_DaggerParryTime = 300;
$Swords_DaggerParryRecoveryTime = 1000;
$Swords_DaggerInterruptParry = 1;
$Swords_DaggerInterruptAttack = 1;


$SwordNodesDagger = "rightDagger_blade rightDagger_guard rightDagger_handle rightDagger_pommel";

$DefaultColorsDagger = "COLOR rightDagger_handle " @ $DBrown TAB "COLOR rightDagger_pommel " @ $DG10 TAB 
						"COLOR rightDagger_guard " @ $DG30 TAB "COLOR rightDagger_blade " @ $DG50;

datablock PlayerData(DaggerArmor : PlayerStandardArmor) {
	shapeFile = "./dualdaggers.dts";

	uiName = "";

	boundingBox = vectorScale("20 20 20", 4);
	crouchBoundingBox = vectorScale("20 20 20", 4);
	
	keepWhenDead = 1;
};

datablock ItemData(DaggerItem : HammerItem) {
	shapeFile = "./daggerItem.dts";
	uiName = "Dagger";

	doColorShift = false;

	class = "Dagger";
	botDatablock = DaggerArmor;

	allowShield = 1;

	isSword = 1;

	iconName = "./icon_Dagger";
	image = DaggerImage;
};

datablock ShapeBaseImageData(DaggerImage) {
	shapeFile = "base/data/shapes/empty.dts";
	emap = true;

	// Specify mount point & offset for 3rd person, and eye offset
	// for first person rendering.
	mountPoint = 0;
	eyeOffset = 0; //"0.7 1.2 -0.5";

	className = "WeaponImage";
	item = DaggerItem;

	class = "Dagger";
	botDatablock = DaggerArmor;

	allowShield = 1;
	isSword = 1;

	//raise your arm up or not
	armReady = true;

	doColorShift = false;


	stateName[0]						= "Activate";
	stateScript[0]						= "onActivate";
	stateTimeoutValue[0]				= 0.5;
	stateTransitionOnTimeout[0]			= "Ready";

	stateName[1]						= "Ready";
	stateTransitionOnTriggerDown[1]		= "Fire";
	stateScript[1]						= "onReady";
	stateAllowImageChange[1]			= true;

	stateName[2]						= "Fire";
	stateTransitionOnTriggerUp[2]		= "Ready";
	stateAllowImageChange[2]			= true;
	stateScript[2]						= "onFire";
};

function DaggerImage::onMount(%this, %obj, %slot) {
	equipSword(%obj, %this.class);
	%obj.triggerDown = 0;
}

function DaggerImage::onUnmount(%this, %obj, %slot) {
	%obj.swordBot.delete();
	// %obj.emptyBot.delete();
	%obj.client.applyBodyParts();
	%obj.client.applyBodyColors();
	%obj.triggerDown = 0;
}

function DaggerImage::onFire(%this, %obj, %slot) {
	%obj.triggerDown = 1;
	if (!%obj.swordBot.isSwinging) {
		swordSwing(%obj.swordBot);
	}
}

function DaggerImage::onReady(%this, %obj, %slot) {
	%obj.triggerDown = 0;
}

////////////////////



////////////////////

$Swords_DualDaggersSwing1Time = 310;
$Swords_DualDaggersSwing1DamageTime = "10 300";
$Swords_DualDaggersSwing2Time = 310;
$Swords_DualDaggersSwing2DamageTime = "10 300";
$Swords_DualDaggersPenetration = 1;

$Swords_DualDaggersWallRecovery = 400;
$Swords_DualDaggersSwing1Damage = 18;
$Swords_DualDaggersSwing2Damage = 18;
$Swords_DualDaggersSounds = "fast_swingSound light_swingSound3";

$Swords_DualDaggersParryTime = 500;
$Swords_DualDaggersParryRecoveryTime = 1000;
$Swords_DualDaggersInterruptParry = 1;
$Swords_DualDaggersInterruptAttack = 1;

$Swords_DualDaggersDualHanded = 1;


$SwordNodesDualDaggers = "rightDagger_blade rightDagger_guard rightDagger_handle rightDagger_pommel leftDagger_blade leftDagger_guard leftDagger_handle leftDagger_pommel";

$DefaultColorsDualDaggers = "COLOR rightDagger_handle " @ $DBrown TAB "COLOR rightDagger_pommel " @ $DG10 TAB 
						"COLOR rightDagger_guard " @ $DG30 TAB "COLOR rightDagger_blade " @ $DG50 TAB
						"COLOR leftDagger_handle " @ $DBrown TAB "COLOR leftDagger_pommel " @ $DG10 TAB 
						"COLOR leftDagger_guard " @ $DG30 TAB "COLOR leftDagger_blade " @ $DG50;

datablock ItemData(DualDaggersItem : HammerItem) {
	shapeFile = "./dualdaggersitem.dts";
	uiName = "Dual Daggers";

	doColorShift = false;

	class = "DualDaggers";
	botDatablock = DaggerArmor;

	allowShield = 1;

	isSword = 1;

	iconName = "./icon_Dagger";
	image = DualDaggersImage;
};

datablock ShapeBaseImageData(DualDaggersImage) {
	shapeFile = "base/data/shapes/empty.dts";
	emap = true;

	// Specify mount point & offset for 3rd person, and eye offset
	// for first person rendering.
	mountPoint = 0;
	eyeOffset = 0; //"0.7 1.2 -0.5";

	className = "WeaponImage";
	item = DualDaggersItem;

	class = "DualDaggers";
	botDatablock = DaggerArmor;

	allowShield = 1;
	isSword = 1;

	//raise your arm up or not
	armReady = true;

	doColorShift = false;


	stateName[0]						= "Activate";
	stateScript[0]						= "onActivate";
	stateTimeoutValue[0]				= 0.5;
	stateTransitionOnTimeout[0]			= "Ready";

	stateName[1]						= "Ready";
	stateTransitionOnTriggerDown[1]		= "Fire";
	stateScript[1]						= "onReady";
	stateAllowImageChange[1]			= true;

	stateName[2]						= "Fire";
	stateTransitionOnTriggerUp[2]		= "Ready";
	stateAllowImageChange[2]			= true;
	stateScript[2]						= "onFire";
};

function DualDaggersImage::onMount(%this, %obj, %slot) {
	equipSword(%obj, %this.class);
	%obj.triggerDown = 0;
}

function DualDaggersImage::onUnmount(%this, %obj, %slot) {
	%obj.swordBot.delete();
	// %obj.emptyBot.delete();
	%obj.client.applyBodyParts();
	%obj.client.applyBodyColors();
	%obj.triggerDown = 0;
}

function DualDaggersImage::onFire(%this, %obj, %slot) {
	%obj.triggerDown = 1;
	if (!%obj.swordBot.isSwinging) {
		swordSwing(%obj.swordBot);
	}
}

function DualDaggersImage::onReady(%this, %obj, %slot) {
	%obj.triggerDown = 0;
}
